Index: trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1127)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 1134)
@@ -131,11 +131,11 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
-   sn_utau     =      'utau.nc'     ,        24.        ,    'utau'  ,     .false.    ,    0   ,     0
-   sn_vtau     =      'vtau.nc'     ,        24.        ,    'vtau'  ,     .false.    ,    0   ,     0
-   sn_qtot     =      'qtot.nc'     ,        24.        ,    'qtot'  ,     .false.    ,    0   ,     0
-   sn_qsr      =      'qsr.nc'      ,        24.        ,    'qsr'   ,     .false.    ,    0   ,     0
-   sn_emp      =      'emp.nc'      ,        24.        ,    'emp'   ,     .false.    ,    0   ,     0
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'
+   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'
+   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'
+   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'
+   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'
 !
    cn_dir      = './'      !  root directory for the location of the flux files
@@ -144,13 +144,13 @@
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
-   sn_utau     =    'taux_1m'       ,      -12.         , 'sozotaux' ,    .false.     ,    1   ,    0    
-   sn_vtau     =    'tauy_1m'       ,      -12.         , 'sometauy' ,    .false.     ,    1   ,    0    
-   sn_wndm     =    'flx'           ,      -12.         , 'socliowi' ,    .false.     ,    1   ,    0      
-   sn_tair     =    'flx'           ,      -12.         , 'socliot2' ,    .false.     ,    1   ,    0     
-   sn_humi     =    'flx'           ,      -12.         , 'socliohu' ,    .false.     ,    1   ,    0    
-   sn_ccov     =    'flx'           ,      -12.         , 'socliocl' ,    .false.     ,    1   ,    0      
-   sn_prec     =    'flx'           ,      -12.         , 'socliopl' ,    .false.     ,    1   ,    0       
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .false.     , .true.  ,   'yearly'    
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .false.     , .true.  ,   'yearly'    
+   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'      
+   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'       
 !
    cn_dir      = './'      !  root directory for the location of the bulk files are
@@ -159,14 +159,14 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     ,    1   ,    0      
-   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     ,    1   ,    0      
-   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     ,    1   ,    0     
-   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_prec     =    'precip'        ,      -12.         , 'RAIN'     ,    .false.     ,    1   ,    0      
-   sn_snow     =    'precip'        ,      -12.         , 'SNOW'     ,    .false.     ,    1   ,    0       
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_prec     =    'precip'        ,       -1.         , 'RAIN'     ,    .false.     , .true.  ,   'yearly'      
+   sn_snow     =    'precip'        ,       -1.         , 'SNOW'     ,    .false.     , .true.  ,   'yearly'       
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
@@ -189,8 +189,8 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_rnf    =   'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,    .true.      , .true.  ,   'yearly'     
+   sn_cnf    =   'runoff_1m_nomask' ,         0.        , 'socoefr'  ,    .false.     , .true.  ,   'yearly'              
 !
    cn_dir       = './'      !  root directory for the location of the runoff files
@@ -203,8 +203,8 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
-   sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_sst      =     'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'
+   sn_sss      =     'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .false. ,   'yearly'
 !
    cn_dir      = './'      !  root directory for the location of the runoff files
Index: trunk/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1127)
+++ trunk/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 1134)
@@ -131,11 +131,11 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
-   sn_utau     =      'utau.nc'     ,        24.        ,    'utau'  ,     .false.    ,    0   ,     0
-   sn_vtau     =      'vtau.nc'     ,        24.        ,    'vtau'  ,     .false.    ,    0   ,     0
-   sn_qtot     =      'qtot.nc'     ,        24.        ,    'qtot'  ,     .false.    ,    0   ,     0
-   sn_qsr      =      'qsr.nc'      ,        24.        ,    'qsr'   ,     .false.    ,    0   ,     0
-   sn_emp      =      'emp.nc'      ,        24.        ,    'emp'   ,     .false.    ,    0   ,     0
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'
+   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'
+   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'
+   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'
+   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'
 !
    cn_dir      = './'      !  root directory for the location of the flux files
@@ -144,13 +144,13 @@
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
-   sn_utau     =    'taux_1m'       ,      -12.         , 'sozotaux' ,    .false.     ,    1   ,    0    
-   sn_vtau     =    'tauy_1m'       ,      -12.         , 'sometauy' ,    .false.     ,    1   ,    0    
-   sn_wndm     =    'flx'           ,      -12.         , 'socliowi' ,    .false.     ,    1   ,    0      
-   sn_tair     =    'flx'           ,      -12.         , 'socliot2' ,    .false.     ,    1   ,    0     
-   sn_humi     =    'flx'           ,      -12.         , 'socliohu' ,    .false.     ,    1   ,    0    
-   sn_ccov     =    'flx'           ,      -12.         , 'socliocl' ,    .false.     ,    1   ,    0      
-   sn_prec     =    'flx'           ,      -12.         , 'socliopl' ,    .false.     ,    1   ,    0       
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .false.     , .true.  ,   'yearly'    
+   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .false.     , .true.  ,   'yearly'    
+   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'      
+   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'       
 !
    cn_dir      = './'      !  root directory for the location of the bulk files are
@@ -159,14 +159,14 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     ,    1   ,    0      
-   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     ,    1   ,    0      
-   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     ,    1   ,    0     
-   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     ,    1   ,    0    
-   sn_prec     =    'precip'        ,      -12.         , 'RAIN'     ,    .false.     ,    1   ,    0      
-   sn_snow     =    'precip'        ,      -12.         , 'SNOW'     ,    .false.     ,    1   ,    0       
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     , .true.  ,   'yearly'      
+   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     , .true.  ,   'yearly'     
+   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     , .true.  ,   'yearly'    
+   sn_prec     =    'precip'        ,       -1.         , 'RAIN'     ,    .false.     , .true.  ,   'yearly'      
+   sn_snow     =    'precip'        ,       -1.         , 'SNOW'     ,    .false.     , .true.  ,   'yearly'       
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
@@ -189,8 +189,8 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_rnf    = 'runoff_1m_nomask'   ,       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
-   sn_cnf    = 'runoff_1m_nomask'   ,         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_rnf    =   'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,    .true.      , .true.  ,   'yearly'     
+   sn_cnf    =   'runoff_1m_nomask' ,         0.        , 'socoefr'  ,    .false.     , .true.  ,   'yearly'              
 !
    cn_dir       = './'      !  root directory for the location of the runoff files
@@ -203,8 +203,8 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
-   sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
-   sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
+!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
+   sn_sst      =    'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'
+   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .false. ,   'yearly'
 !   
    cn_dir      = './'      !  root directory for the location of the runoff files