Index: trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1139)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1140)
@@ -13,21 +13,21 @@
 	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
 ifneq ($(JOB),nojob)
-	cp ../VALID/2INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp -p ../VALID/2INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../VALID/2INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../VALID/2INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
+	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
+	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
+	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/jhd_sx8brodie_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mon
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/jhd_ax_mono_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_ax_mono_mon
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/jhd_osxxlf_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mon
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mon
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/jhd_ax_mono_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_ax_mono_mon
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mon
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
 endif
@@ -40,13 +40,13 @@
 	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
 ifneq ($(JOB),nojob)
-	cp ../VALID/2INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp -p ../VALID/2INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../VALID/2INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../VALID/2INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
+	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
+	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
+	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/jhd_sx8brodie_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_omp
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_omp
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
 endif
@@ -66,21 +66,21 @@
 	cp ../../bin/opa_$(NEMOLIB)_$@  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/opa_$(NEMOLIB)_$@
 ifneq ($(JOB),nojob)
-	cp ../VALID/2INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp -p ../VALID/2INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../VALID/2INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../VALID/2INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
+	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
+	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
+	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
 	cp -p  specifs.txt $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/specifs.txt
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/jhd_sx8brodie_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mpi
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../VALID/2INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/jhd_aix_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix_mpi
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
-#-Q- aix	cp ../VALID/2INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/jhd_osxxlf_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mpi
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-#-Q- osxxlf	cp ../VALID/2INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mpi
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
+#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/jhd_aix_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix_mpi
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/CPU_time_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/MEM_size_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix.ksh
+#-Q- aix	cp ../NVTK/INSTALL/JOBS/BIO_aix.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mpi
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
+#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(RTG) ; )
 endif
Index: trunk/NVTK/INSTALL/JOBS/CPU_time_aix.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/CPU_time_aix.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/CPU_time_aix.ksh	(revision 1140)
@@ -24,5 +24,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh	(revision 1140)
@@ -23,5 +23,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1140)
@@ -23,5 +23,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/MEM_size_aix.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/MEM_size_aix.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/MEM_size_aix.ksh	(revision 1140)
@@ -23,5 +23,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh	(revision 1140)
@@ -23,5 +23,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh	(revision 1140)
@@ -23,5 +23,5 @@
 # * this step is performed only if a reference tag 
 #   is specified with the -t option and if files exist.
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 ##############################################################
Index: trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1140)
@@ -37,5 +37,5 @@
 # * this step is performed only if a reference tag 
 #   is passing through the specifs.txt file
-#   See the Makefile under ./config/HEAD directory
+#   See the Makefile under ./config/NVTK directory
 #
 # It is based on the directories architecture below :
Index: trunk/NVTK/INSTALL/ins_valid.ksh
===================================================================
--- trunk/NVTK/INSTALL/ins_valid.ksh	(revision 1139)
+++ trunk/NVTK/INSTALL/ins_valid.ksh	(revision 1140)
@@ -120,5 +120,5 @@
 
        # Configuration dependencies
-       (cd ../../${CONF[${ind}]} ; ../VALID/fait_AA_make ; )
+       (cd ../../${CONF[${ind}]} ; ../NVTK/fait_AA_make ; )
 echo '			'
 echo "             >>>>>>>>   Dependencies file ./config/${CONF[${ind}]}/BB_make have been re-built"
Index: trunk/NVTK/Makefile
===================================================================
--- trunk/NVTK/Makefile	(revision 1139)
+++ trunk/NVTK/Makefile	(revision 1140)
@@ -64,5 +64,5 @@
 	( MYREP_LIST=`(cd 2TEST ; ls *.[Ffh]90 *.[Ffh])` ; \
           cd ../$@/MY_SRC ; rm -rf *.[Ffh]90 ; if [ -n "$$MYREP_LIST" ] ; \
-        then ln -sf ../../HEAD/2TEST/*.[Ffh]90 . ; fi ; ) 
+        then ln -sf ../../NVTK/2TEST/*.[Ffh]90 . ; fi ; ) 
 	@echo "test=" $(NAM_V) > ../$@/specifs.txt
 	@echo "runs=" $(BUILD_MAKE) >> ../$@/specifs.txt
@@ -71,5 +71,5 @@
 	@echo "tagname=" $(REF_TAGV) >> ../$@/specifs.txt
 	@echo 
-	@echo '             ----->>>>>>>>>   Links from' $@/MY_SRC ' to HEAD/2TEST done'
+	@echo '             ----->>>>>>>>>   Links from' $@/MY_SRC ' to NVTK/2TEST done'
 	@echo 
 	@echo '                              Build the Makefile for' $@ 'configuration'
Index: trunk/NVTK/fait_AA_make
===================================================================
--- trunk/NVTK/fait_AA_make	(revision 1139)
+++ trunk/NVTK/fait_AA_make	(revision 1140)
@@ -686,5 +686,5 @@
 echo '	\$(RM) model.o \$(MODEL_LIB)/*.o  \$(EXEC_BIN) ; \'
 echo '	echo "Rebuilding the AA_make files" ; \'
-echo '	cd ..  ; ../VALID/fait_AA_make ; echo " " ; \'
+echo '	cd ..  ; ../NVTK/fait_AA_make ; echo " " ; \'
 echo '	echo "THE ins_make COMMAND in modipsl/util MUST BE RERUN PLEASE DO SO BEFORE gmake" ; \'
 echo '	echo "========================================== " ; \'
Index: trunk/NVTK/use_cfg
===================================================================
--- trunk/NVTK/use_cfg	(revision 1139)
+++ trunk/NVTK/use_cfg	(revision 1140)
@@ -282,13 +282,13 @@
 [ ! -d ../../../config/${m_n}/MY_SRC ] && \mkdir ../../../config/${m_n}/MY_SRC
 cp ../../../modeles/NEMO/OPA_SRC/par_oce.F90 ../../../config/${m_n}/MY_SRC/par_oce.F90_keep
-if [ -d ../../../config/HEAD/2TEST ]; then
-    f_2test=`\ls ../../../config/HEAD/2TEST/*.[Ffh]90`  ;
+if [ -d ../../../config/NVTK/2TEST ]; then
+    f_2test=`\ls ../../../config/NVTK/2TEST/*.[Ffh]90`  ;
     if [ ${#f_2test} -ne 0 ] ; then
         echo " "
-        echo " Files in the ../config/HEAD/2TEST directory will be taken into account"
+        echo " Files in the ../config/NVTK/2TEST directory will be taken into account"
         echo " "
-        for i in `ls ../../../config/HEAD/2TEST/*.[Ffh]90`
+        for i in `ls ../../../config/NVTK/2TEST/*.[Ffh]90`
           do
-             ln -sf ../../../config/HEAD/2TEST/${i} ../../../config/${m_n}/MY_SRC/.
+             ln -sf ../../../config/NVTK/2TEST/${i} ../../../config/${m_n}/MY_SRC/.
           done
     fi