Index: trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1144)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1145)
@@ -5,7 +5,7 @@
 #-Q- sx8brodie	(cd ../../modeles/IOIPSL/src; sxgmake;)
 #-Q- aix	(cd ../../modeles/IOIPSL/src; gmake;)
+#-Q- osxxlf	(cd ../../modeles/IOIPSL/src; gmake;)
 
 $(filter-out mpi omp, $(RUN)): omp
-#-Q- aix	../../util/ins_make -t ax_mono -w $(NEMOLIB)/WORK
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
 	gmake -C WORK COMP=$@ >> $(NEMOLIB)_logbook_$@.txt
@@ -58,5 +58,4 @@
 mpi: memo
 ifeq ($(filter mpi,$(RUN)),mpi)
-#-Q- aix	../../util/ins_make -t aix -w $(NEMOLIB)/WORK
 	cp ./MY_SRC/par_oce.F90_keep ./MY_SRC/par_oce.F90 
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
@@ -94,5 +93,4 @@
 
 memo:
-#-Q- aix	../../util/ins_make -t ax_mono -w $(NEMOLIB)/WORK
 ifeq ($(MKMO),memo)
 	gmake -C WORK COMP=$@ clean > $(NEMOLIB)_logbook_$@.txt
Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1144)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE	(revision 1145)
@@ -15,15 +15,9 @@
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
-#-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sx6nec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sxdkrz  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
-#-Q- sxnec  AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sx6nec AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sxdkrc AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
 SXMODEL_LIB = $(MODEL_LIB)
-#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sx6nec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sxdkrz  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+#-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
 LIBMPI  =
@@ -40,6 +34,5 @@
 #-
 #- Prefix for preprocessing ---
-#-Q- sxnec  prefix = -D
-#-Q- sx6nec prefix = -D
+#-Q- sx8mercure prefix = -D
 #-Q- sx8brodie prefix = -D
 #-Q- eshpux prefix = -D
@@ -49,6 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1144)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_GYRE_LOBSTER	(revision 1145)
@@ -15,15 +15,9 @@
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
-#-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sx6nec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sxdkrz  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
-#-Q- sxnec  AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sx6nec AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sxdkrc AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
 SXMODEL_LIB = $(MODEL_LIB)
-#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sx6nec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sxdkrz  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
+#-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
 LIBMPI  =
@@ -40,6 +34,5 @@
 #-
 #- Prefix for preprocessing ---
-#-Q- sxnec  prefix = -D
-#-Q- sx6nec prefix = -D
+#-Q- sx8mercure prefix = -D
 #-Q- sx8brodie prefix = -D
 #-Q- eshpux prefix = -D
@@ -49,6 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1144)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ORCA2_LIM	(revision 1145)
@@ -15,14 +15,8 @@
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
-#-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sx6nec IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 #-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
-#-Q- sxnec  AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sx6nec AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sxdkrc AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
 SXMODEL_LIB = $(MODEL_LIB)
-#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sx6nec SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 #-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
@@ -40,6 +34,5 @@
 #-
 #- Prefix for preprocessing ---
-#-Q- sxnec  prefix = -D
-#-Q- sx6nec prefix = -D
+#-Q- sx8mercure prefix = -D
 #-Q- sx8brodie prefix = -D
 #-Q- eshpux prefix = -D
@@ -49,6 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 
Index: trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1144)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/BB_make.ldef_ZAGRIF	(revision 1145)
@@ -15,14 +15,8 @@
 MODEL_LIB = $(LIBDIR)/oce_$(NEMOLIB)/$(COMP)
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
-#-Q- sxnec  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
-#-Q- sx6nec IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 #-Q- sxdkrz IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 AGRIF_LIB = $(LIBDIR)/libagrif.a
-#-Q- sxnec  AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sx6nec AGRIF_LIB = $(LIBDIR)/libsxagrif.a
-#-Q- sxdkrc AGRIF_LIB = $(LIBDIR)/libsxagrif.a
+#-Q- sxdkrz AGRIF_LIB = $(LIBDIR)/libsxagrif.a
 SXMODEL_LIB = $(MODEL_LIB)
-#-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
-#-Q- sx6nec SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 #-Q- sxdkrz SXMODEL_LIB = $(LIBDIR)/oce/libsxopa.a
 OASISMPI2_LIB = 
@@ -40,6 +34,5 @@
 #-
 #- Prefix for preprocessing ---
-#-Q- sxnec  prefix = -D
-#-Q- sx6nec prefix = -D
+#-Q- sx8mercure prefix = -D
 #-Q- sx8brodie prefix = -D
 #-Q- eshpux prefix = -D
@@ -49,6 +42,7 @@
 #-Q- lxiv8  prefix = -D
 #-Q- g95    prefix = -D
+#-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
-#-Q- ax_mono    prefix = -WF,-D
+#-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
 